.grecaptcha-badge {
    opacity: 0;
}

input[type="checkbox"] {
    caret-color: transparent;
}

input[type="text"],
input[type=password] {
    box-sizing: border-box;
    outline: none;
}

.modal__group input[type=text]~label,
.modal__group input[type=password]~label {
    transition: 0.3s ease transform;
}

.modal__group input[type=text]:focus~label,
.modal__group input[type=text]:not(:placeholder-shown)~label,
.modal__group input[type=password]:focus~label,
.modal__group input[type=password]:not(:placeholder-shown)~label {
    transform: translateX(-2px) translateY(-30px) scale(0.90);
    color: #a2a2a2;
    left: -6px;
}


.popup__close svg {
    width: 14px;
}

.modal-content .bx-title {
    display: none;
}

.modal {
    opacity: 0;
    pointer-events: none;
    position: relative;
    visibility: hidden;
    z-index: 1111111;
}

.modal.active {
    opacity: 1;
    pointer-events: all;
    visibility: visible;
}

.modal__bg {
    background-color: rgba(0, 0, 0, .7);
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
}

.modal__wrapper {
    /* -webkit-box-align: center; */
    /* -ms-flex-align: center; */
    /* -ms-flex-pack: center; */
    /* align-items: center; */
    height: 100%;
    position: fixed;
    top: 0;
    right: 0;
    width: auto;
    z-index: 100000000;
}

.modal__container,
.modal__wrapper {
    /* -webkit-box-pack: center; */
    /* display: -webkit-box; */
    /* display: -ms-flexbox; */
    display: flex;
    /* justify-content: center; */
}

.modal__container {
    /* -ms-flex-line-pack: center; */
    /* -ms-flex-pack: center; */
    /* align-content: center; */
}

.modal__container .js-formDiv {
    background-color: #fff;
    /* border-radius: 10px; */
    /* -webkit-box-shadow: 0 0 16px -3px rgba(0, 0, 0, .251); */
    /* box-shadow: 0 0 16px -3px rgba(0, 0, 0, .251); */
    height: 100%;
    /* max-height: 90vh; */
    max-width: 530px;
    /* min-width: 320px; */
    overflow-y: auto;
    padding: 0px 30px;
    position: relative;
    /* border-radius: 20px; */
    min-width: 400px;
}

.modal__input--wrapper {
    position: relative;
}

.modal__group {
    margin-top: 20px;
    position: relative;
}

.modal__group_first {
    margin-top: 0;
}

.modal__group--checkbox {
    margin-top: 30px;
}

.modal__group label {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(0px);
    color: #949494;
}

.modal__group--panel {
    text-align: right;
}

.modal__group--panel a {
    border-bottom: 1px dashed red;
    color: red;
    /* font-size: 14px; */
    text-decoration: none;
}

/* .modal__group input[type=password]:placeholder,
.modal__group input[type=text]:placeholder {

} */

.modal__group input[type=password],
.modal__group input[type=text] {
    border: none;
    border-bottom: 1px solid #383838;
    /* border-radius: 10px; */
    margin-top: 30px;
    padding: 10px 0;
    position: relative;
    width: 100%;
    font-size: 1.1em;
}

.modal__group input[type=password]:focus,
.modal__group input[type=text]:focus {
    /* -webkit-box-shadow: 0 0 16px -2px rgba(0,0,0,.11); */
    /* box-shadow: 0 0 16px -2px rgba(0,0,0,.11); */
    border-bottom: 1px solid #000;
}

.modal__group input[type=submit],
.modal__group button[type=submit] {
    background-color: #232a2e !important;
    border: none;
    /* border-radius: 10px; */
    color: #fff;
    padding: 10px 20px;
    width: 100%;
}

.modal__header {
    /* font-size: 20px; */
    font-size: 1.8em;
    font-weight: 500;
    margin-top: 10px;
}

.modal__header span {
    margin-right: 10px;
}

.modal__header a {
    color: #b9b9b9;
    /* -webkit-transition: color .5s ease; */
    /* -o-transition: color .5s ease; */
    transition: color .5s ease;
    font-weight: 400;
    text-decoration: none;
}

.modal__header a:hover {
    color: red;
}

.modal__politics {
    /* font-size: 12px; */
    margin-top: 20px;
    display: flex;
}

.modal__politics--warnings {
    margin-top: 30px;
    font-size: 1em;
    line-height: 1.4;
    color: #999;
}

.modal button,
.modal input[type=button],
.modal input[type=reset],
.modal input[type=submit] {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 15px;
    border-radius: 0;
    height: 60px;
}

.modal input[name="logout_butt"] {
    height: unset;
}

.js-formDiv {
    display: none;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
}

.js-formDiv font.errortext,
.js-formDiv .bx-system-auth-registration .asterisk {
    background: #ff6666;
    text-align: left;
    margin-top: 10px;
    display: block;
    color: #fff;
    padding: 10px;
    font-size: 12px;
}

.js-formDiv.active {
    display: block;
    opacity: 1;
    pointer-events: all;
    visibility: visible;
}

.link {
    fill: red;
    color: red;
    display: inline-block;
    position: relative;
}

.link,
.popup__close {
    cursor: pointer;
    /* -webkit-transition: all .2s ease; */
    /* -o-transition: all .2s ease; */
    transition: all .2s ease;
}

.popup__close {
    /* -ms-flex-align: center;
    -webkit-box-align: center;
    -ms-flex-pack: center; */
    /* -webkit-box-pack: center; */
    fill: #242424;
    align-items: center;
    /* background: rgba(0, 0, 0, 0); */
    background: #F1F4F9 !important;
    /* border-radius: 50%; */
    /* border: none; */
    /* display: -ms-flexbox;
    display: -webkit-box; */
    display: flex;
    width: 50px;
    height: 50px;
    justify-content: center;
    position: absolute;
    right: 0px;
    top: 0px;
    z-index: 1;
}

.password__toggle {
    background: none;
    border: none;
    display: inline-block;
    height: 25px;
    position: absolute;
    right: 0px;
    top: 45%;
    width: 29px;
}

.password__toggle .eye {
    fill: none;
    stroke: #000;
    stroke-width: 10;
    stroke-miterlimit: 10;
    stroke-linecap: round;
}

.password__toggle svg {
    display: block;
    width: 25px;
}

.lid {
    stroke-dasharray: 222;
}

.lid,
.pupil {
    stroke-dashoffset: 0;
}

.pupil {
    stroke-dasharray: 150;
    /* -webkit-transform: rotate(170deg); */
    /* -ms-transform: rotate(170deg); */
    transform: rotate(170deg);
    /* -webkit-transform-origin: 50% 50%; */
    /* -ms-transform-origin: 50% 50%; */
    transform-origin: 50% 50%;
}

.lid--close {
    /* -webkit-animation: lid--close .5s ease-in-out forwards; */
    animation: lid--close .5s ease-in-out forwards;
}

.lid--open {
    /* -webkit-animation: lid--open .5s ease-in-out forwards; */
    animation: lid--open .5s ease-in-out forwards;
}

.pupil--close {
    /* -webkit-animation: pupil--close .5s ease-in-out forwards; */
    animation: pupil--close .5s ease-in-out forwards;
}

.pupil--open {
    /* -webkit-animation: pupil--open .5s ease-in-out forwards; */
    animation: pupil--open .5s ease-in-out forwards;
}

@keyframes lid--close {
    0% {
        stroke-dashoffset: 0;
    }

    to {
        stroke-dashoffset: -222;
    }
}

@keyframes lid--open {
    0% {
        stroke-dashoffset: -222;
    }

    to {
        stroke-dashoffset: -444;
    }
}


@keyframes pupil--close {
    0% {
        stroke-dashoffset: 0;
    }

    to {
        stroke-dashoffset: -150;
    }
}

@keyframes pupil--open {
    0% {
        stroke-dashoffset: -150;
    }

    to {
        stroke-dashoffset: -300;
    }
}



main {
    /* -webkit-transition: filter .1s ease; */
    /* -o-transition: filter .1s ease; */
    transition: filter .1s ease;
}

main.blur {
    /* -webkit-filter: blur(5px); */
    filter: blur(5px);
}

.modal-forget-wrapper {
    text-align: center;
}

.modal-forget-password {
    text-decoration: none;
    display: block;
    margin-top: 30px;
    font-size: 1.2em;
}

.modal__group--submit {
    margin-top: 50px;
}

.modal__group input[type="submit"] {
    text-transform: uppercase;
}

.modal-errors {
    font-size: 13px;
    line-height: 17px;
    letter-spacing: .02em;
    color: #ce1e1e;
    /* position: absolute;
    top: 0; */
    margin: 0;
    margin-top: 20px;
}

.modal__group--helper {
    color: #b1b1b1;
    font-size: 12px;
}


.modal__group--checkbox {
    display: flex;
    align-items: center;
}

.modal__group--checkbox span {
    display: inline-block;
    margin-left: 10px;
    font-size: 11px;
}

.modal__group--error {
    color: #ce1e1e;
    font-size: 14px;
    display: none;
    position: absolute;
    margin-top: 5px;
}

.modal__group--error.error {
    display: block;
}

.modal__group--shopping {
    text-decoration: underline;
}
.modal__group--shopping:hover {
    text-decoration: none;
}


.modal__auth__enter--text {
    line-height: 180%;
    margin-bottom: 40px;
}

.btn__continue__shopping {
    margin-bottom: 20px;
}

.modal__group--logout input[type="submit"] {
    border: 1px solid #000;
    padding: 5px 20px;
    transition: 0.5s ease background-color;
}

.modal__group--logout input[type="submit"]:hover {
    background-color: #f5f5f5;
}


.modal__wrapper .popup__close::after,
.modal__wrapper .popup__close::before {
    width: 25px;
}

.modal__group input[type="submit"]:hover {
    background-color: #000 !important;
}

.modal__group--helper {
    color: #b1b1b1;
    font-size: 1em;
    margin-top: 17px;
    display: block;
}

#modal__success--content {
    margin-top: 50px;
}

.btn__black  {
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.modal-sent {
    font-size: 1em;
    color: green;
    margin: 24px 0;
    max-width: 98%;
    line-height: 140%;
}

.modal__group--checkbox a,
.modal__group--checkbox span {
    font-size: 1em;
    line-height: 140%;
}

.modal__group--checkbox {
    margin-top: 50px;
}